Bug 231032 - [PATCH] devel/gnu-efi: update to 3.0.9
Summary: [PATCH] devel/gnu-efi: update to 3.0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vinícius Zavam
URL: https://reviews.freebsd.org/D17887
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-08-30 18:41 UTC by Vinícius Zavam
Modified: 2018-11-14 14:56 UTC (History)
3 users (show)

See Also:


Attachments
[PATCH] devel/gnu-efi: update to 3.0.8 (2.72 KB, patch)
2018-08-30 18:41 UTC, Vinícius Zavam
no flags Details | Diff
[PATCH] devel/gnu-efi: update to 3.0.9 (1.69 KB, patch)
2018-11-07 10:55 UTC, Vinícius Zavam
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2018-08-30 18:41:13 UTC
Created attachment 196716 [details]
[PATCH] devel/gnu-efi: update to 3.0.8

Adopting the port as well; changed MAINTAINER.
Comment 1 Vinícius Zavam freebsd_committer 2018-11-05 14:34:15 UTC
(In reply to Vinícius Zavam from comment #0)

added mentors in CC.
Comment 2 Vinícius Zavam freebsd_committer 2018-11-07 10:43:14 UTC
UPDATE: I am working on it right now, pushing it to v3.0.9
Comment 3 Vinícius Zavam freebsd_committer 2018-11-07 10:55:25 UTC
Created attachment 199046 [details]
[PATCH] devel/gnu-efi: update to 3.0.9

original patch updated; 3.0.8 -> 3.0.9

portlint OK
build OK
Comment 4 Vinícius Zavam freebsd_committer 2018-11-12 12:37:34 UTC
taking.
Comment 5 commit-hook freebsd_committer 2018-11-14 14:53:55 UTC
A commit references this bug:

Author: egypcio
Date: Wed Nov 14 14:53:28 UTC 2018
New revision: 484927
URL: https://svnweb.freebsd.org/changeset/ports/484927

Log:
  devel/gnu-efi: update to v3.0.9

    - adopt the port;
    - added eficompiler.h to pkg-plist;
    - USE_GCC=yes became USES=compiler:c++11-lib;
    - kept ONLY_FOR_ARCHS as is.

  PR:		231032
  Approved by:	rene (mentor)
  Differential Revision:	https://reviews.freebsd.org/D17887

Changes:
  head/devel/gnu-efi/Makefile
  head/devel/gnu-efi/distinfo
  head/devel/gnu-efi/pkg-plist